[43m[32m=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-[0m[42m[31mTOTAL IRRELEVANCE[0m[43m[32m=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-[0m
                [42m                                               [0m
[40m               [41m [42m                                               [0m
[40m               [41m [42m               MIDI For Beginers               [0m
[40m               [41m [42m                                               [0m
[40m               [41m [42m             A Basic Introduction              [0m
[40m               [41m [42m                                               [0m
[40m               [41m [42m                  Written by                   [0m
[40m               [41m [42m                                               [0m
[40m               [41m [42m            Kevan  R.Craft. 1992/93            [0m
[40m               [41m [42m                                               [0m
[40m               [41m [42m                                               [0m
[40m               [41m                                             [0m

                                 ------------
                                      1.

                                 WHAT IS MIDI?
                                 ------------


(1)  Conversation Between Musical Instruments
     ----------------------------------------

Musical instruments finally began "conversing"  in  the 1980's, a revolution in
the world of music.  Now, one  instrument  can  say to another: "play middle C,
with about  60  %  strength,  then  play  E4,  a  little  louder".   The second
instrument "listens" to this dialogue, and plays  the  notes in turn  , as long
as it can understand the language used.   The  "language" that is now shared by
all electronic musical instruments is called "MIDI".

Even though the instruments can  mow  "converse",  they  still  have no will of
their own.  In fact, the only link in the chain with its own is you the musican
or user.  Then the instruments  interpret  your performance by "translating" it
into MIDI.  "MIDI" is considered  to  be  "the  language  which is used to send
'performance information' from one instrument to another".

Although MIDI is a relatively new  concept,  it  has already became a household
word in the musical instrument scene.   It  is  one  of the common features for
today's musical instruments.   For  your  reference,  MIDI  stands for "Musical
Instrument Digital Interface".


(2)  Applications of MIDI
     --------------------

MIDI is widely known  as  a  "language  between  musical instruments". MIDI has
expanded in such a short period  of  time,  because  it  can be applied to many
kinds of situations.   MIDI  is  a  universal  term.  Although  there  are many
different languages in the world,  such  as  English, Norwegian, German, and so
on, MIDI has only one language, and can therefore provide communication between
Japanese and American instruments, or  Norweigian and German instruments.  More
importantly, MIDI can even  be  used  to  "talk"  to instruments from different
manufacturers.

Furthermore,, MIDI can be applied to many kinds of instruments.  In this way it
is possible for an electronic  piano  to  "talk"  to  a  synthesizer, or a drum
machine.  Consequently, MIDI has enormous potential for growth and development,
and in the 10 or 12  years  since  MIDI  first  has  appeared , it has seen the
emergence  of  computer  technology    and   software  exploitation  of  MIDI's
possiblities.



(3)   What Makes MIDI Conversation Possible
      -------------------------------------

Just how is MIDI used to provide  this  conversation"?  To explain, take a look
at the back  of  your  instrument,  those  without  should  enquire  at a music
instrument shop and ask to see.   There should be several connectors, including
a MIDI (IN), a MIDI (OUT) and often a  MIDI (THRU) (it is advised to purchace a
MIDI instrument with all  three  of  these  MIDI  connectors  otherwise you are
restricting the possibility of expanding  your  MIDI  set-up  at a later date).
These MIDI conections are the ears and  mouth of the MIDI conversation, and are
essential for any MIDI communication.   The  actual "MIDI conversation" travels
from MIDI (OUT) of one instrument  to  the  MIDI (IN) of another, by connecting
only one MIDI cable between these two  sockets.   The cable used is three core,
two cores are for the signals  from  the  instrument  and the third core is for
screening or sheilding against  interference  and  'buzzing'  noises, a kind of
earthing if you will.  The cable used has two male, five pin, din connectors at
either end.


      NOTE:
      ----
"DIN" sockets look very similar to MIDI  sockets, but have an entirely differnt
fuction.  "DIN""  sockets  are  to  be  found  on  the  rear  of  Hi  Fi stereo
amplifiers, cassette tape machines  etc  and  are  the  means  of the input and
output of sound which contains a  small  electrical signal charge, so please DO
NOT connect a MIDI cable to a "DIN" socket!


Back to MIDI, so why do we  need  three  sockets?  (MIDI IN, MIDI OUT, and MIDI
THRU).

MIDI IN is for "listening to a  MIDI  conversation, that is, it is the entrance
for MIDI information.

MIDI OUT is for "speaking", to send the conversation from an instrument, and is
therefore the exit point for MIDI information.

MIDI IN and MIDI OUT are relatively simple to understand and use, however, MIDI
THRU is similar to MIDI OUT, in  that  is  does "speak" to the next instrument,
however, it doesn't provide its own  conversation, it merely "repeats" anything
heard by the MIDI IN.


In a typical set-up, MIDI information is  fed  out  of the MIDI OUT of keyboard
number 1, and into the MIDI IN of  keyboard  number  2. It is also passed on to
the MIDI IN of keyboard number 3, via  the  MIDI THRU of keyboard number 2.  In
this way, the information from keyboard  number  1 can control both keyboards 2
and 3. (Keyboard number 1 can be  a computer using a software sequencer program
as and keyboard 2 may be  a  synthesizer  and  keyboard  3 may be a synthesizer
module unit which makes the same sound as a keyboard but instead of playing any
keys, because modules are just  electronic  boxes,  the sounds are  prompted to
play by the MIDI information).

Such a combination of  more  than  2  instruments  is  referred  to  as a "MIDI
system".  Of course, without the MIDI THRU  this set-up could not become a MIDI
system, and therefore it is easy  to  understand  the  use of MIDI THRU and the
importance of purchasing a  synthesizer  with  all three connections containing
MIDI IN, MIDI OUT and MIDI THRU.



(4)   One-Way MIDI Conversation
      -------------------------

MIDI information is sent from MIDI OUT  to  MIDI  IN, or from MIDI THRU to MIDI
IN.  The information  is  always  sent  one  way,  (generally)  referred  to as
'HANDSHAKING'), so that the "speaker" and the "listener" in a MIDI conversation
remain the same, always!  For example,  a  MIDI "keyboard controller" which has
no keyboard of its own or a MIDI  "sound  module" which has no keyboard, and so
on, has fixed roles.  They are  either  the  "Master",  or the "slave". In this
situation, the "speaker" is called the master  and the "listener" is the slave.
( A computer can be the master and  the keyboards and module will be the slaves
- that's how it should be, the user is the master in control and the synths are
the slaves, never forget that keyboards  and  modules are just machines,  which
you the master, control.

Furthermore, the master/slave  relationship  is  not  always  one  to  one,  as
previously discussed. the number of  slaves  can  be  increased, 1:2 or 1:3 and
even 1:10 and so on.  As a result even  in very large MIDI systems if you check
that the flow of information is all  one-way, and correct, and the relationship
between master and slaves is  very  clear,  then  the  connections will pose no
problem.


(5)   Closer is Better
      ----------------

From the previous discussion, it would seem that we could construct a chain  of
instruments, one after the other, via a  large series of MIDI THRU connections.
However, in reality, a MIDI  conversation involves some complicated "dialogue",
and too many  THRU  connections  can  distrupt  the  conversation  ,  making it
progressively easy to "understand".  Consequently, the 4th or 5th instrument in
the chain may receive incorrect data.

To avoid this  situation,  place  the  master  and  slave  instruments as close
together as possible.  This does  not  mean  the actual physical placement, but
rather  the  number  of  MIDI  connections   between  them.  To  simplify  this
proceedure, a MIDI THRU box, or OUTPUT Selector should be used.

MIDI THRU boxes send MIDI information from the master to the slaves at the same
time, so that  each  slave  recieves  the  information  first hand (correctly).
There are many  kinds  of  MIDI  devices,  but  remember,  although perhaps the
simplest, the through box is  the  most  necessary when communicating with more
than 4 or 5 devices.



                             --------------------
                                       2

                             THE BENEFITS OF MIDI
                             --------------------


(1)   Two Instruments in Unison
      -------------------------

This section will cover the use  of  MIDI in performance, expression, and other
facets of the music  making  process.   Firstly,  we  shall discuss playing two
instruments in unison.

For example, the MIDI OUT of an  electronic  piano  to  the MIDI IN of a synth.
Then, if the synth is set to a  string  sound, playing the piano will cause the
synth to play the same part  with  a  string  sound.  The  result is a very BIG
sound, simulating the pianist doubled by an orchestra.

Another useful combination would be to use  a harpsichord sound from the piano,
and a synth flute sound.  Similarly, two  synths with pipeorgan and choir sound
very effective.  two trumpet sounds,  slightly  de-tuned, make the brass effect
much thicker.  The  list  is  endless  Playing  two  instruments  in unison can
provide a wealth of musical possibilities.

Another method is to use one synth  sound  that features a unique attack sound,
combined with another instrument whose  sustain  sound is interesting.  In this
way, a whole new synthesized sound is created by playing the two together.

Playing two instruments in unison is a  very  basic  way of using MIDI, and yet
you can acheive a much greater  variety  of  sounds, thicker sounds, than using
only one synth.  It can certainly  expand  your expressive capabilities, so try
it and you'll begin to understand  the  facination  of MIDI.  Of course, if you
use MIDI THRU connectors 3 or 4 synths can create some amazing possibilities.


(2)   Combinations of Different Kinds of Instruments
      ----------------------------------------------

As mentioned earlier, it  is  possible  for  different  kinds of instruments to
"converse" through MIDI. Naturallly,  we  expect  keyboards  to  "talk" to each
other, but what would piano say to a  drum machine.  It is hard to imagine just
what the result might be.

Think of what would happen if  you  connect  the  piano  to a drum machine, the
piano as master, the drum machine as  slave.  you may choose the sounds (assign
them) so that by playing the key "C" on  the piano, a bass drum sound is heard.
Then perhaps a "D" would play a snare,  and  a  "G" would play a tom tom, etc..
Then, rather than using drum sticks, you can play the "drums" by pressing the
appropriate keys on the keyboard.

What happens if the drum machine is the  master and the piano the slave?   This
time, if the drum machine is  playing  a  pre-programmed rhythm, the piano will
play the same part.  However, whenever the  drum machine plays a bass drum, the
piano will play a "C", etc..  Just the reverse of the previous situation.

      NOTE:
      ----
A drum machine has limited note capability, and can usually only remember a few
songs, so it would be more practical to use a sequencer or a computer, for this
type of automatic performance.

This combination of a piano and  drum  machine  is only one example. Using MIDI
perfomance information (data), it is possible  for many types of instruments to
"converse" via MIDI.


(3)   A Sequencer System
      ------------------

One of the most powerful uses of  the  MIDI language is to include a sequencer.
performing in unison, as we mentioned earlier, can provide some excellent sound
possibilities, but this still  limits  the  performance  to  that of the master
keyboard.  A sequencer on the  other  hand,  is  capable of remembering several
instrumental parts, making it possible to  use  a variety of sound sources.  It
then  becomes  a  simple  matter   to   construct  an  entire  arrangement,  or
orchestration.

For example, a sequencer as the master can  control a synth for melody. a piano
for chords, another synth for bass, and  a  drum machine, all at the same time.
The data for this is 4 part  performance  being stored in the sequencer.  Then,
as the data is sent to all 4 instruments, the automatic performance begins.


(4)   Computer Music System
      ---------------------

Computers did not seem to relate  to  music  very well before MIDI. However, it
was  hard  to  understand  any   conversation  between  computers  and  musical
instruments.  Thanks to MIDI it is now  possible  to build small boxes that can
"interpret" the language of computers into MIDI and visa versa.  These boxes or
cables are called interfaces. On the Atari  computer, the designers came to the
clever conclusion that owners of their  product  may like to compose music, and
to this end MIDI IN  and  MIDI  out  sockets  were  placed  at  the side of the
computer.  Although those boffins at  Commodore  Amiga have given their product
better sound and graphic capabilites they declined to include any MIDI sockets.
Despite this early set back,  and  the  Atari  gaining  a  foothold in both the
professional and home music  industry,  it  was  discovered  that the Amiga was
capable of connecting up to  MIDI  via  an  RS232 interface/ serial port with a
MIDI IN and MIDI OUT leads and DIN plugs.

All computers use what we now call "software", that is, information on computer
disk that tells the computer how to  behave.  One piece of "software" may teach
the computer how to be a sequencer  for  example, while another could be "sound
edit" software,  teaching  the  computer  how  to  modify  the  sounds  of  the
synthesizer.

The advantages of such a  system  are  the  huge  computer memory available, in
order to store many songs, or long songs, and the size of the computer display,
making it easy to visually check  all  the  data  for  a performance or for the
sounds of the synth.


(5)   MIDI Systems Expanding Into Various fields
      ------------------------------------------

We have already discussed a variety of  MIDI  systems, but there are still many
more possibilities.  For example, when changing a  sound in a MIDI system it is
also possible to switch a variety  of  effects  on  or off, delay or reverb for
example.  A MIDI sequencer can  also  be  synchronized  with a multi-track tape
recorder (MTR), expanding  the  number  of  available  tracks.   The concept is
extremely versatile, and the future is still wide open.

                           